<ion-app>

  <ion-menu side="start" menuId="sidemenu">

    <ion-header >
      <ion-toolbar color='primary'> 
        <ion-title>
          CatalogMenu
        </ion-title>
      </ion-toolbar>
    </ion-header>

    <ion-content>
      <ion-list>

        <ion-menu-toggle>
          <ion-item lines =  "none" [routerLink] = "['/home']">
            <ion-icon name = "home-outline" slot="start"></ion-icon>
            <ion-label>Home</ion-label>
          </ion-item>
        </ion-menu-toggle>

        <ion-menu-toggle>
          <ion-item [routerLink] = "['/profile']"> 
            <ion-icon name="person-outline" slot="start"></ion-icon>
            <ion-label>Profile</ion-label>
          </ion-item>
        </ion-menu-toggle>

        <ion-menu-toggle>
          <ion-item> 
            <ion-icon name="location-outline" slot="start"></ion-icon>
            <ion-label>Location</ion-label>
          </ion-item>
        </ion-menu-toggle>

        <ion-menu-toggle>
          <ion-item [routerLink]="['/home/favorites']">
            <ion-icon name="star-outline" slot="start"></ion-icon>
            <ion-label>Favorites</ion-label>
          </ion-item>
        </ion-menu-toggle>

      </ion-list>
    </ion-content>


  </ion-menu>


  
  
  <ion-router-outlet main></ion-router-outlet>
</ion-app>
